#
# RPM Spec file for libodbc++-0.2.2pre3
#
Summary: An ODBC class library that emulates the JDBC interface
Name: libodbc++
Version: 0.2.2pre3
Release: 1
Copyright: LGPL
Group: Development/Libraries
Source: http://orcane.net/freeodbc++/%{name}-%{version}.tar.bz2
URL: http://orcane.net/freeodbc++/
Distribution: RedHat Linux
Vendor: Manush Dodunekov and Lars Doelle
Packager: Murray Todd Williams <MurrayTodd@yahoo.com>
BuildRoot: /var/tmp/%{name}-root
requires: unixODBC
conflicts: iodbc

%description
This C++ library provides an interface based on the (Java) JDBC protocol.
It includes additional support for KDE-integration.

If you want to develop programs that will use the odbc++ library,
you will also need to install the libodbc++-devel package.

%package devel
Summary: Development files for programs which use the odbc++ library.
Group: Development/Libraries
requires: libodbc++ = %{PACKAGE_VERSION}
requires: unixODBC-devel
conflicts: iodbc

%description devel
This C++ library provides an interface based on the (JAVA) JDBC protocol.

If you want to develop programs that will use the odbc++ library,
you'll need this package, as well as the libodbc++ package and the 
unixODBC and unixODBC-devel packages.

%package qt
Summary: qt libodbc++ libraries
Group: System Environment/Libraries
conflicts: iodbc

%description qt
This C++ library provides an interface based on the (JAVA) JDBC protocol.
This package includes additional support for QT integration.

%prep
%setup

%build
CXXFLAGS="$RPM_OPT_FLAGS -ggdb" ./configure \
	--prefix=${RPM_BUILD_ROOT}/usr \
	--enable-threads \
	--with-odbc \
	--with-qt --with-gnu-ld
make clean
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/include/odbc++
make install

%clean
rm -rf %RPM_BUILD_ROOT

%post
ldconfig -n /usr/lib

%postun
ldconfig -n /usr/lib

%files
/usr/lib/libodbc++.so.4.0.0
/usr/lib/libodbc++.so.4
/usr/lib/libodbc++.so
%doc AUTHORS
%doc BUGS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc THANKS
%doc TODO
%doc README
%doc README.jdbc
%doc README.threads

%files devel
/usr/include/odbc++/config.h
/usr/include/odbc++/setup.h
/usr/include/odbc++/types.h
/usr/include/odbc++/threads.h
/usr/include/odbc++/errorhandler.h
/usr/include/odbc++/drivermanager.h
/usr/include/odbc++/connection.h
/usr/include/odbc++/databasemetadata.h
/usr/include/odbc++/statement.h
/usr/include/odbc++/preparedstatement.h
/usr/include/odbc++/callablestatement.h
/usr/include/odbc++/resultset.h
/usr/include/odbc++/resultsetmetadata.h
/usr/lib/libodbc++.la
%doc doc

%files qt
/usr/lib/libodbc++_qt.la
/usr/lib/libodbc++_qt.so.4.0.0
/usr/lib/libodbc++_qt.so.4
/usr/lib/libodbc++_qt.so

%changelog

* Mon Apr 17 2000 Murray Todd Williams <murray@codingapes.com>
- libodbc++-0.2.2pre2
- moved install to $RPM_BUILD_ROOT (/var/tmp/libodbc++-root)
- removed /usr/bin/isql from file list (don't know why it was there.
  Seems to be a unixODBC program.  Weird.